// Copyright 2011, Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.api.ads.dfa.lib.testing.mocks.v1_12;

import com.google.api.ads.dfa.lib.auth.LoginTokens;
import com.google.common.annotations.VisibleForTesting;

/**
 * Mock user profile. Used to test {@link LoginTokens}.
 *
 * @author Joseph DiLallo
 */
@VisibleForTesting
public class UserProfile {
  public static final String AUTH_TOKEN = "1234ABCD";

  /**
   * Mock of user profile's token-retrieving method.
   *
   * @return an authentication token
   */
  public String getToken() {
    return AUTH_TOKEN;
  }
}
